eval_rubrics
List Eval Rubrics
List eval rubrics for the team.
GET
/
api
/
v1
/
eval_rubrics
List Eval Rubrics
import requests
url = "https://www.datalab.to/api/v1/eval_rubrics"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://www.datalab.to/api/v1/eval_rubrics \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://www.datalab.to/api/v1/eval_rubrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.datalab.to/api/v1/eval_rubrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rubrics": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"eval_definition": {},
"source": "<string>",
"source_processor_id": "<string>",
"archived": true,
"version": 123,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"version_history": [
"<unknown>"
]
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0Was this page helpful?
⌘I
List Eval Rubrics
import requests
url = "https://www.datalab.to/api/v1/eval_rubrics"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://www.datalab.to/api/v1/eval_rubrics \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://www.datalab.to/api/v1/eval_rubrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.datalab.to/api/v1/eval_rubrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rubrics": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"eval_definition": {},
"source": "<string>",
"source_processor_id": "<string>",
"archived": true,
"version": 123,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"version_history": [
"<unknown>"
]
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}